Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types
Class RecurringExclusionDetail

    java.lang.Object
      com.tibco.bpm.web.client.model.types.NewWorkingDayExclusion
          com.tibco.bpm.web.client.model.types.NewRecurringExclusion
              com.tibco.bpm.web.client.model.types.ExistingRecurringExclusion
                  com.tibco.bpm.web.client.model.types.RecurringExclusionDetail

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable

    public class RecurringExclusionDetail

extends ExistingRecurringExclusion
implements com.google.gwt.user.client.rpc.IsSerializable

TODO Give a useful description of the type.

©2012 TIBCO Software Inc.

Since:
  TODO

Nested Class Summary

Nested classes/interfaces inherited from class com.tibco.bpm.web.client.model.types.NewWorkingDayExclusion
`NewWorkingDayExclusion.FreeBusy`

Constructor Summary
`RecurringExclusionDetail()` TODO Describe this method

Method Summary
`java.util.ArrayList<RecurringInstance>` | `getRecurringInstances()` TODO Describe this method
`void` | `setRecurringInstances(java.util.ArrayList<RecurringInstance> recurringInstances)` TODO Describe this method

Methods inherited from class com.tibco.bpm.web.client.model.types.ExistingRecurringExclusion
`getGuid, setGuid`

Methods inherited from class com.tibco.bpm.web.client.model.types.NewRecurringExclusion
`getDuration, getrRule, setDuration, setrRule`

Methods inherited from class com.tibco.bpm.web.client.model.types.NewWorkingDayExclusion
`getDay, getDescription, getEnd, getFreeBusy, getStart, isAllDay, setAllDay, setDay, setDescription, setEnd, setFreeBusy, setStart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecurringExclusionDetail

    public RecurringExclusionDetail()

  TODO Describe this method

Method Detail

### getRecurringInstances

    public java.util.ArrayList<RecurringInstance> getRecurringInstances()

  TODO Describe this method

  Returns:
    Returns the recurringInstances.

### setRecurringInstances

    public void setRecurringInstances(java.util.ArrayList<RecurringInstance> recurringInstances)

  TODO Describe this method

  Parameters:
    `recurringInstances` - The recurringInstances to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.